Skip to content
This repository
Browse code

future proof linking of postgis plugin against boost 1.50

  • Loading branch information...
commit 8dea5a5fe2392332cbe503edc344f37cd4221bff 1 parent 718d3a4
Dane Springmeyer authored July 05, 2012
3  plugins/input/kismet/build.py
@@ -38,6 +38,9 @@
38 38
 libraries.append(env['ICU_LIB_NAME'])
39 39
 libraries.append('boost_thread%s' % env['BOOST_APPEND'])
40 40
 
  41
+if env['HAS_BOOST_SYSTEM']:
  42
+    libraries.append('boost_system%s' % env['BOOST_APPEND'])
  43
+
41 44
 input_plugin = plugin_env.SharedLibrary('../kismet', source=kismet_src, SHLIBPREFIX='', SHLIBSUFFIX='.input', LIBS=libraries, LINKFLAGS=env['CUSTOM_LDFLAGS'])
42 45
 
43 46
 # if the plugin links to libmapnik ensure it is built first
3  plugins/input/postgis/build.py
@@ -41,6 +41,9 @@
41 41
 if env['THREADING'] == 'multi':
42 42
 	plugin_env['LIBS'].append('boost_thread%s' % env['BOOST_APPEND'])
43 43
 
  44
+if env['HAS_BOOST_SYSTEM']:
  45
+    plugin_env['LIBS'].append('boost_system%s' % env['BOOST_APPEND'])
  46
+
44 47
 if env['RUNTIME_LINK'] == 'static':
45 48
     #cmd = 'pg_config --libs'
46 49
     #plugin_env.ParseConfig(cmd)

0 notes on commit 8dea5a5

Please sign in to comment.
Something went wrong with that request. Please try again.